MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032546Open CASCADE[OCCT] OCCT:Data Exchangepublic2021-08-30 11:002021-09-05 23:25
Reporterkgv 
Assigned Tosmoskvin 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032546: Data Exchange, XCAF - mark material as defined XCAFDoc_VisMaterialPBR::IsDefined=true within default constructor
DescriptionCurrently XCAFDoc_VisMaterialPBR and XCAFDoc_VisMaterialCommon constructors create a material as undefined, so that user has to set XCAFDoc_VisMaterialPBR::IsDefined=true explicitly to ensure it being actually used.

This might be confusing and easy to oversee. It is proposed changed default to TRUE and setting material as undefined explicitly within XCAFDoc_VisMaterial constructor and similar context, where these materials are expected to be undefined by default.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0029902closedapn Data Exchange, XCAF - provide extended Material definition for visualization purposes 

-  Notes
(0103562)
git (administrator)
2021-08-30 20:53

Branch CR32546 has been created by kgv.

SHA-1: 714da0ef78ad4574bbbf8d79617da33471bba831


Detailed log of new commits:

Author: kgv
Date: Mon Aug 30 20:53:33 2021 +0300

    0032546: Data Exchange, XCAF - mark material as defined XCAFDoc_VisMaterialPBR::IsDefined=true within default constructor
    
    XCAFDoc_VisMaterialCommon and XCAFDoc_VisMaterialPBR default constructors now set IsDefined property to TRUE.
    So that it is required to set IsDefined=false explicitly to create an undefined material,
    which is done by XCAFDoc_VisMaterial constructor.
    
    Existing application code shouldn't require any modifications in most cases
    (IsDefined=true required before to setup material could be now removed).
(0103567)
kgv (developer)
2021-08-30 22:52

Patch is ready for review
- OCCT: branch CR32546.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32546-master-KGV/ [^]
(0103569)
osa (developer)
2021-08-31 09:40

The patch was reviewed
(0103746)
smoskvin (administrator)
2021-09-04 14:23

Combination -
OCCT branch : IR-2021-09-03
master SHA - f26ee38f2a309ffbf7de4eebbcef2c5a5c57d84e
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-09-03 SHA - 87cca1a8f3dd94387a936b9d49f5bd719c69cf4d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17495.94000000042 / 17441.55000000031 [+0.31%]
Products
Total CPU difference: 11565.440000000113 / 11534.270000000102 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19307.140625 / 19200.421875 [+0.56%]
Products
Total CPU difference: 12917.859375 / 12874.53125 [+0.34%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0103835)
git (administrator)
2021-09-05 23:25

Branch CR32546 has been deleted by kgv.

SHA-1: 714da0ef78ad4574bbbf8d79617da33471bba831

- Related Changesets
occt: master ce83709a
Timestamp: 2021-08-30 17:53:33
Author: kgv
Committer: smoskvin
Details ] Diff ]
0032546: Data Exchange, XCAF - mark material as defined XCAFDoc_VisMaterialPBR::IsDefined=true within default constructor

XCAFDoc_VisMaterialCommon and XCAFDoc_VisMaterialPBR default constructors now set IsDefined property to TRUE.
So that it is required to set IsDefined=false explicitly to create an undefined material,
which is done by XCAFDoc_VisMaterial constructor.

Existing application code shouldn't require any modifications in most cases
(IsDefined=true required before to setup material could be now removed).
mod - src/XCAFDoc/XCAFDoc_VisMaterial.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_VisMaterial.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_VisMaterialCommon.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_VisMaterialPBR.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-08-30 11:00 kgv New Issue
2021-08-30 11:00 kgv Assigned To => kgv
2021-08-30 11:00 kgv Relationship added child of 0029902
2021-08-30 11:00 kgv Severity minor => integration request
2021-08-30 11:01 kgv Summary Data Exchange - mark material as defined XCAFDoc_VisMaterialPBR::IsDefined=true within default constructor => Data Exchange, XCAF - mark material as defined XCAFDoc_VisMaterialPBR::IsDefined=true within default constructor
2021-08-30 20:53 git Note Added: 0103562
2021-08-30 22:52 kgv Note Added: 0103567
2021-08-30 22:52 kgv Assigned To kgv => osa
2021-08-30 22:52 kgv Status new => resolved
2021-08-31 09:40 osa Note Added: 0103569
2021-08-31 09:40 osa Assigned To osa => bugmaster
2021-08-31 09:40 osa Status resolved => reviewed
2021-09-04 14:23 smoskvin Note Added: 0103746
2021-09-04 14:23 smoskvin Status reviewed => tested
2021-09-04 14:36 smoskvin Changeset attached => occt master ce83709a
2021-09-04 14:36 smoskvin Assigned To bugmaster => smoskvin
2021-09-04 14:36 smoskvin Status tested => verified
2021-09-04 14:36 smoskvin Resolution open => fixed
2021-09-04 16:29 smoskvin Test case number => Not required
2021-09-05 23:25 git Note Added: 0103835


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker